object AdvSubtitleForm: TAdvSubtitleForm
  Left = 604
  Top = 263
  BorderStyle = bsToolWindow
  BorderWidth = 4
  Caption = 'Advanced subtitles options'
  ClientHeight = 217
  ClientWidth = 465
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  PixelsPerInch = 96
  TextHeight = 13
  object bttOK: TSpeedButton
    Left = 264
    Top = 192
    Width = 97
    Height = 25
    Caption = 'OK'
    OnClick = bttOKClick
  end
  object bttCancel: TSpeedButton
    Left = 368
    Top = 192
    Width = 97
    Height = 25
    Caption = 'Cancel'
    OnClick = bttCancelClick
  end
  object GroupBox1: TGroupBox
    Left = 264
    Top = 56
    Width = 201
    Height = 121
    Caption = ' Customize MDVDP format : '
    TabOrder = 1
    object Label2: TLabel
      Left = 8
      Top = 24
      Width = 72
      Height = 13
      Caption = 'Open Bracket :'
    end
    object Label4: TLabel
      Left = 8
      Top = 58
      Width = 72
      Height = 13
      Caption = 'Close Bracket :'
    end
    object Label3: TLabel
      Left = 8
      Top = 92
      Width = 75
      Height = 13
      Caption = 'Line Separator :'
    end
    object edOpenBracket: TEdit
      Left = 92
      Top = 20
      Width = 97
      Height = 21
      Hint = 
        'Using this entry you can redefine the open bracket character for' +
        ' MicroDVD'#13#10'format subtitle files. Default value is "{". This is ' +
        'useful if the { is needed in the'#13#10'language of this subtitle.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object edCloseBracket: TEdit
      Left = 92
      Top = 54
      Width = 97
      Height = 21
      Hint = 
        'Using this entry you can redefine the close bracket character fo' +
        'r MicroDVD'#13#10'format subtitle files. Default value is "}". This is' +
        ' useful if the } is needed in the'#13#10'language of this subtitle.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
    end
    object edLineSeparator: TEdit
      Left = 92
      Top = 88
      Width = 97
      Height = 21
      Hint = 
        'Using this entry you can redefine the line separator character f' +
        'or MicroDVD'#13#10'format subtitle files. Default value is pipe. This ' +
        'is useful if the pipe is needed'#13#10'in the language of this subtitl' +
        'e.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 2
    end
  end
  object GroupBox2: TGroupBox
    Left = 0
    Top = 136
    Width = 257
    Height = 81
    Caption = ' Out-of-sync options : '
    TabOrder = 2
    object Label7: TLabel
      Left = 8
      Top = 24
      Width = 34
      Height = 13
      Caption = 'Offset :'
    end
    object Label8: TLabel
      Left = 8
      Top = 54
      Width = 47
      Height = 13
      Caption = 'Multiplier :'
    end
    object edOffset: TEdit
      Left = 80
      Top = 20
      Width = 161
      Height = 21
      Hint = 
        'In case your subtitles are displayed out-of-sync with the movie,' +
        ' meaning all'#13#10'subtitle lines appear a certain amount of time too' +
        ' early or late, you can make'#13#10'the player add (or subtract, if th' +
        'e Number is negative) the given number of'#13#10'frames to all start- ' +
        'and end-frames of this subtitle file while loading them, thus'#13#10'm' +
        'aking them appear later or earlier during movie playback. This w' +
        'ill help if all'#13#10'subtitle frame numbers are displaced by the sam' +
        'e value (constant'#13#10'displacement). The default value is 0, meanin' +
        'g no shifting is done.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
    end
    object edMultiplier: TEdit
      Left = 80
      Top = 50
      Width = 161
      Height = 21
      Hint = 
        'In case your movie runs faster or slower than the subtitles, mea' +
        'ning the subs'#13#10'get more and more out-of-sync while watching the ' +
        'movie (either faster or'#13#10'slower), you can use this parameter to ' +
        'multiply all subtitle start/end-frames of'#13#10'this file by the give' +
        'n number. This is called linear displacement, meaning if you'#13#10'e.' +
        'g. check the subtitles twice as far into the movie, they will be' +
        ' displaced twice'#13#10'as much as before.'#13#10'Attention: to avoid proble' +
        'ms with different international decimal point symbols,'#13#10'do not w' +
        'rite decimal numbers like 1.5 here! The Number is in units of 10' +
        '0000,'#13#10'meaning to get a multiplier of 1.5, you have to enter a 1' +
        '50000.'#13#10'The default value if you omit this entry is 100000, resu' +
        'lting in multiplication by 1.'#13#10#13#10'If e.g. your movie runs a littl' +
        'e faster than the subs, meaning the subs appear '#13#10'more and more ' +
        '"too late", try entering a multiplier of 99990, resulting in all' +
        ' '#13#10'subtitle start/end frames to be multiplied by 0.999, making t' +
        'hem appear earlier'#13#10'in the movie.'
      ParentShowHint = False
      ShowHint = True
      TabOrder = 1
    end
  end
  object GroupBox3: TGroupBox
    Left = 264
    Top = 0
    Width = 201
    Height = 49
    Caption = ' Format : '
    TabOrder = 0
    object cbFormat: TComboBox
      Left = 8
      Top = 16
      Width = 185
      Height = 21
      Hint = 
        'Besides its own format, Micro DVD Player also supports other for' +
        'mats of subtitle files.'#13#10'The default for the Format value is -1,' +
        ' which means the player automatically detects the format.'#13#10'If yo' +
        'u set this to non-zero, the following format is expected :'#13#10'1 - ' +
        'SubMagic/SubViewer.'#13#10'2 - SubRip. The ripper done by the programm' +
        'ers of SubMagic has an own format (a lot better than SubViewer'#39's' +
        ')'#13#10'3 - SubViewer 2.0. The new format of SubViewer with end frame' +
        's and milliseconds resolution.'#13#10'4 - TMPlayer. The native format ' +
        'of some subtitle displayer widely used in Poland'#13#10'5 - Sub Statio' +
        'n Alpha. Loading SSA subtitles is quite stripped-down at the mom' +
        'ent, only the start+end'#13#10'frame info (hundreth-second resolution)' +
        ' and the text is converted at the moment. All style info is stri' +
        'pped.'
      Style = csDropDownList
      ItemHeight = 13
      ParentShowHint = False
      ShowHint = True
      TabOrder = 0
      Items.Strings = (
        'Auto-Detect'
        '1 - SubMagic/SubViewer'
        '2 - SubRip'
        '3 - SubViewer 2.0'
        '4 - TMPlayer'
        '5 - Sub Station Alpha')
    end
  end
  object GroupBox4: TGroupBox
    Left = 0
    Top = 0
    Width = 257
    Height = 129
    Caption = ' Subtitle info : '
    TabOrder = 3
    object Label1: TLabel
      Left = 8
      Top = 24
      Width = 43
      Height = 13
      Caption = 'Number :'
    end
    object Label5: TLabel
      Left = 8
      Top = 48
      Width = 60
      Height = 13
      Caption = 'Short name :'
    end
    object Label6: TLabel
      Left = 8
      Top = 72
      Width = 51
      Height = 13
      Caption = 'Full name :'
    end
    object Label9: TLabel
      Left = 8
      Top = 96
      Width = 22
      Height = 13
      Caption = 'File :'
    end
    object lbNumber: TLabel
      Left = 72
      Top = 24
      Width = 45
      Height = 13
      Caption = 'lbNumber'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object lbShortName: TLabel
      Left = 72
      Top = 48
      Width = 61
      Height = 13
      Caption = 'lbShortName'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object lbFullName: TLabel
      Left = 72
      Top = 72
      Width = 52
      Height = 13
      Caption = 'lbFullName'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
    object lbFile: TLabel
      Left = 72
      Top = 96
      Width = 24
      Height = 13
      Caption = 'lbFile'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
    end
  end
end
