/***************************************************************************\
 * Micro DVD Menu Maker by Christophe.Paris@free.fr                        *
 ***************************************************************************
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
\***************************************************************************/

//---------------------------------------------------------------------------
#ifndef MovieDataH
#define MovieDataH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMovieDataForm : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox4;
	TEdit *edBaseDirectory;
	TSpeedButton *bttBrowseBaseDirectory;
	TPageControl *PageControl1;
	TTabSheet *tabChapters;
	TGroupBox *GroupBox3;
	TSpeedButton *bttAddChapter;
	TSpeedButton *bttDeleteChapter;
	TSpeedButton *bttModifyChapter;
	TListView *lstChapters;
	TEdit *edFirstChapterFrame;
	TEdit *edChapterName;
	TTabSheet *tabSpecials;
	TTabSheet *tabMain;
	TTabSheet *tabMovie;
	TTabSheet *tabMenu;
	TGroupBox *GroupBox1;
	TLabel *lbTitle;
	TLabel *lbID;
	TLabel *lbCDNumber;
	TLabel *lbDelay;
	TEdit *edMainTitle;
	TEdit *edMainID;
	TEdit *edMainCDNumber;
	TEdit *edMainDelay;
	TGroupBox *GroupBox2;
	TLabel *lbDirectory;
	TLabel *lbAVIName;
	TLabel *lbAVI2Name;
	TLabel *lbAVI3Name;
	TSpeedButton *bttAVI1;
	TSpeedButton *bttAVI2;
	TSpeedButton *bttAVI3;
	TLabel *Label1;
	TLabel *Label2;
	TSpeedButton *bttAuto;
	TEdit *edMovieDirectory;
	TEdit *edMovieAVIName;
	TEdit *edMovieAVI2Name;
	TEdit *edMovieAVI3Name;
	TEdit *edMovieCD1Frames;
	TEdit *edMovieCD2Frames;
	TEdit *edMovieCD3Frames;
	TGroupBox *GroupBox5;
	TLabel *Label3;
	TLabel *lbMenuDirectory;
	TLabel *Label4;
	TSpeedButton *bttBrowseMenuAVI;
	TSpeedButton *bttBrowseMenuAudio;
	TLabel *Label5;
	TEdit *edMenuAVIName;
	TEdit *edMenuDirectory;
	TEdit *edMenuAudioName;
	TEdit *edMenuStartPage;
	TLabel *Label6;
	TLabel *Label7;
	TTabSheet *tabLanguages;
	TGroupBox *GroupBox11;
	TLabel *Label26;
	TLabel *Label27;
	TSpeedButton *bttBrowseLanguage1;
	TEdit *edLangFile1;
	TEdit *edLanguageDirectory;
	TListView *lstLanguages;
	TCheckBox *chkMultipleAudioAVI;
	TEdit *edLangShortName;
	TEdit *edLangFullName;
	TGroupBox *GroupBox6;
	TLabel *Label8;
	TSpeedButton *bttBrowseSpecialFile;
	TLabel *Label13;
	TEdit *edSpecialFile;
	TListView *lstSpecials;
	TEdit *edSpecialTitle;
	TLabel *Label9;
	TEdit *edSpecialsCDNumber;
	TSpeedButton *bttAddLanguage;
	TSpeedButton *bttModifyLanguage;
	TSpeedButton *bttDeleteLanguage;
	TSpeedButton *bttAddSpecial;
	TSpeedButton *bttModifySpecial;
	TSpeedButton *bttDeleteSpecial;
	TBitBtn *bttCancel;
	TBitBtn *bttOK;
	TTabSheet *tabSubtitles;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label12;
	TLabel *Label14;
	TLabel *Label15;
	TEdit *edMenuSpecialsPage;
	TEdit *edMenuMenuPage;
	TEdit *edMenuChaptersPage;
	TLabel *Label16;
	TEdit *edMenuSize;
	TGroupBox *GroupBox7;
	TLabel *Label17;
	TLabel *Label18;
	TSpeedButton *bttBrowseSubtitles;
	TSpeedButton *bttAddSubtitles;
	TSpeedButton *bttModifySubtitles;
	TSpeedButton *bttDeleteSubtitles;
	TLabel *Label19;
	TLabel *Label20;
	TEdit *edSubtitlesFile;
	TEdit *edSubtitlesDirectory;
	TListView *lstSubtitles;
	TEdit *edSubtitlesShortName;
	TEdit *edSubtitlesFullName;
	TSpeedButton *bttImportChapters;
	TSpeedButton *bttBrowseMenuDirectory;
	TSpeedButton *bttGenerateID;
	TGroupBox *gbAdvSubOptions;
	TLabel *Label21;
	TLabel *Label22;
	TLabel *Label23;
	TEdit *edSubtitlesDialogString;
	TEdit *edSubtitlesLines;
	TCheckBox *chkSubtitlesEstimateDispDuration;
	TEdit *edSubtitlesMaxDisplayDuration;
	TSpeedButton *bttAdvancedSubtitles;
	TLabel *lbCDFramesState;
  TSpeedButton *bttBatchPictureImport;
	void __fastcall bttCancelClick(TObject *Sender);
	void __fastcall bttBrowseBaseDirectoryClick(TObject *Sender);
	void __fastcall bttBrowseMenuAVIClick(TObject *Sender);
	void __fastcall bttBrowseMenuAudioClick(TObject *Sender);
	void __fastcall bttAVI1Click(TObject *Sender);
	void __fastcall bttAVI2Click(TObject *Sender);
	void __fastcall bttAVI3Click(TObject *Sender);
	void __fastcall bttAddChapterClick(TObject *Sender);
	void __fastcall bttModifyChapterClick(TObject *Sender);
	void __fastcall bttDeleteChapterClick(TObject *Sender);
	void __fastcall bttAutoClick(TObject *Sender);
	void __fastcall bttAddLanguageClick(TObject *Sender);
	void __fastcall bttBrowseLanguage1Click(TObject *Sender);
	void __fastcall bttModifyLanguageClick(TObject *Sender);
	void __fastcall bttDeleteLanguageClick(TObject *Sender);
	void __fastcall lstLanguagesClick(TObject *Sender);
	void __fastcall lstLanguagesKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall lstChaptersClick(TObject *Sender);
	void __fastcall lstChaptersKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall bttAddSpecialClick(TObject *Sender);
	void __fastcall bttModifySpecialClick(TObject *Sender);
	void __fastcall bttDeleteSpecialClick(TObject *Sender);
	void __fastcall bttBrowseSpecialFileClick(TObject *Sender);
	void __fastcall lstSpecialsClick(TObject *Sender);
	void __fastcall lstSpecialsKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall bttOKClick(TObject *Sender);
	void __fastcall bttBrowseSubtitlesClick(TObject *Sender);
	void __fastcall bttAddSubtitlesClick(TObject *Sender);
	void __fastcall bttModifySubtitlesClick(TObject *Sender);
	void __fastcall bttDeleteSubtitlesClick(TObject *Sender);
	void __fastcall lstSubtitlesClick(TObject *Sender);
	void __fastcall lstSubtitlesKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall edMainTitleChange(TObject *Sender);
	void __fastcall bttImportChaptersClick(TObject *Sender);
	void __fastcall bttBrowseMenuDirectoryClick(TObject *Sender);
	void __fastcall bttGenerateIDClick(TObject *Sender);
	void __fastcall bttAdvancedSubtitlesClick(TObject *Sender);
	void __fastcall lstSubtitlesDblClick(TObject *Sender);
  void __fastcall bttBatchPictureImportClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TMovieDataForm(TComponent* Owner);

	bool __fastcall EditEqualPage(TEdit* ed, int pn);    
	AnsiString __fastcall ShowBrowseDialog();
	bool __fastcall OpenFileDialog(AnsiString basedir, AnsiString filter,
		AnsiString& subdir, AnsiString& filename);
	unsigned int __fastcall GetNumberOfFrame(AnsiString filename);
};
//---------------------------------------------------------------------------
extern PACKAGE TMovieDataForm *MovieDataForm;
//---------------------------------------------------------------------------
#endif
