/***************************************************************************\
 * Micro DVD Menu Maker by Christophe.Paris@free.fr                        *
 ***************************************************************************
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
\***************************************************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("MDVDP_MenuMaker.res");
USEFORM("Main.cpp", MainForm);
USEFORM("PageViewer.cpp", PageViewerForm);
USEFORM("SelectionViewer.cpp", SelectionsViewerForm);
USEUNIT("Action.cpp");
USEFORM("MovieData.cpp", MovieDataForm);
USEFORM("ImportChapters.cpp", ImportChaptersForm);
USEFORM("About.cpp", AboutForm);
USEFORM("AdvSubtitle.cpp", AdvSubtitleForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "MDVDP MenuMaker";
		Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TMovieDataForm), &MovieDataForm);
		Application->CreateForm(__classid(TPageViewerForm), &PageViewerForm);
		Application->CreateForm(__classid(TSelectionsViewerForm), &SelectionsViewerForm);
		Application->CreateForm(__classid(TAboutForm), &AboutForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
